> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/load-balancing/describeloadbalancers.md).

# DescribeLoadBalancers

## 1. 接口描述

本接口(DescribeLoadBalancers)用于查询一台或多台指定负载均衡实例的信息。用户可以根据负载均衡实例的ID、可用区等信息来搜索负载均衡实例的信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                         | 描述                                    |
| ---------------- | -- | ---------------------------------------------------------- | ------------------------------------- |
| loadBalancerIds  | 否  | Array of String                                            | 负载均衡实例ID集合。                           |
| zoneId           | 否  | String                                                     | 可用区 ID。                               |
| loadBalancerName | 否  | String                                                     | 负载均衡实例的名称。支持模糊搜索。                     |
| pageNum          | 否  | Integer                                                    | <p>返回的分页数。</p><p>默认值：1</p>            |
| pageSize         | 否  | Integer                                                    | 返回的分页大小。默认为20，最大为1000。                |
| resourceGroupId  | 否  | String                                                     | 资源组ID。                                |
| tagKeys          | 否  | Array of String                                            | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p> |
| tags             | 否  | Array of [Tag](/api-reference/cn/bmc/datastructure.md#tag) | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>   |

## 3. 响应结果

| 参数名称       | 类型                                                                                   | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                              | 符合条件的LB总数量。                                              |
| dataSet    | Array of [LoadBalancerInfo](/api-reference/cn/bmc/datastructure.md#loadbalancerinfo) | LoadBalancer集合。                                          |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **根据ID查询负载均衡实例的信息。**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancers
Request:
{
  "loadBalancerIds": ["xxxx"]
}
Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "loadBalancerId": "xxx",
        "zoneId": "AMS-A",
        "loadBalancerName": "xxx",
        "specName": "xxx",
        "chargeType": "POSTPAID",
        "createTime": "",
        "status": "RUNNING",
        "resourceGroupId": "xxx",
        "resourceGroupName": "xxx",
        "masterIp": "xxxx",
        "salveIp": "xxx",
        "ipType": "IPv4"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
